## UDisksBlockLVM2

UDisksBlockLVM2 — Generated C code for the org.freedesktop.UDisks2.Block.LVM2 D-Bus interface

## Functions

void | udisks_block_lvm2_proxy_new ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_finish ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_sync ()
void | udisks_block_lvm2_proxy_new_for_bus ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_for_bus_finish ()
UDisksBlockLVM2 * | udisks_block_lvm2_proxy_new_for_bus_sync ()
const gchar * | udisks_block_lvm2_get_logical_volume ()
gchar * | udisks_block_lvm2_dup_logical_volume ()
void | udisks_block_lvm2_set_logical_volume ()
UDisksBlockLVM2 * | udisks_block_lvm2_skeleton_new ()

## Types and Values

| UDisksBlockLVM2
struct | UDisksBlockLVM2Proxy
struct | UDisksBlockLVM2ProxyClass
struct | UDisksBlockLVM2Skeleton
struct | UDisksBlockLVM2SkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksBlockLVM2

## Prerequisites

UDisksBlockLVM2 requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Block.LVM2 D-Bus interface in C.

## Functions

### udisks_block_lvm2_proxy_new ()

    void
    udisks_block_lvm2_proxy_new (GDBusConnection *connection,
                                 GDBusProxyFlags flags,
                                 const gchar *name,
                                 const gchar *object_path,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_lvm2_proxy_new_finish()` to get the result of the operation.

See `udisks_block_lvm2_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_block_lvm2_proxy_new_finish ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_finish (GAsyncResult *res,
                                        GError **error);

Finishes an operation started with `udisks_block_lvm2_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_lvm2_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_proxy_new_sync ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_sync (GDBusConnection *connection,
                                      GDBusProxyFlags flags,
                                      const gchar *name,
                                      const gchar *object_path,
                                      GCancellable *cancellable,
                                      GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_block_lvm2_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_proxy_new_for_bus ()

    void
    udisks_block_lvm2_proxy_new_for_bus (GBusType bus_type,
                                         GDBusProxyFlags flags,
                                         const gchar *name,
                                         const gchar *object_path,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Like `udisks_block_lvm2_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_block_lvm2_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_block_lvm2_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 2.0.0

### udisks_block_lvm2_proxy_new_for_bus_finish ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_block_lvm2_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_block_lvm2_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_proxy_new_for_bus_sync ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_block_lvm2_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_block_lvm2_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksBlockLVM2Proxy]

Since: 2.0.0

### udisks_block_lvm2_get_logical_volume ()

    const gchar *
    udisks_block_lvm2_get_logical_volume (UDisksBlockLVM2 *object);

Gets the value of the "LogicalVolume" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_block_lvm2_dup_logical_volume()` if on another thread.

[skip]

#### Parameters

object | A UDisksBlockLVM2. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.0.0

### udisks_block_lvm2_dup_logical_volume ()

    gchar *
    udisks_block_lvm2_dup_logical_volume (UDisksBlockLVM2 *object);

Gets a copy of the "LogicalVolume" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksBlockLVM2. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.0.0

### udisks_block_lvm2_set_logical_volume ()

    void
    udisks_block_lvm2_set_logical_volume (UDisksBlockLVM2 *object,
                                          const gchar *value);

Sets the "LogicalVolume" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksBlockLVM2. |
value | The value to set. |

Since: 2.0.0

### udisks_block_lvm2_skeleton_new ()

    UDisksBlockLVM2 *
    udisks_block_lvm2_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2.

#### Returns

The skeleton object.

[transfer full][type UDisksBlockLVM2Skeleton]

Since: 2.0.0

## Types and Values

### UDisksBlockLVM2

    typedef struct _UDisksBlockLVM2 UDisksBlockLVM2;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Block.LVM2.

Since: 2.0.0

### struct UDisksBlockLVM2Proxy

    struct UDisksBlockLVM2Proxy {
    };

The UDisksBlockLVM2Proxy structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksBlockLVM2ProxyClass

    struct UDisksBlockLVM2ProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksBlockLVM2Proxy.

#### Members

Since: 2.0.0

### struct UDisksBlockLVM2Skeleton

    struct UDisksBlockLVM2Skeleton {
    };

The UDisksBlockLVM2Skeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.0.0

### struct UDisksBlockLVM2SkeletonClass

    struct UDisksBlockLVM2SkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksBlockLVM2Skeleton.

#### Members

Since: 2.0.0